#version 330


layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;
uniform float uOffset=1.0;
uniform float uScale=1.0;
uniform float uStart=0.0;

out vec2 fsTexture;
out float fsProgress;

void main()
{
	gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);
    fsProgress=uStart-(vsPosition.x-uOffset)*uScale;
	fsTexture = vsTexture;
}
